<?php
$t = "Аватар";
if (isset($_GET["id"])){
	if ($id == -1 || $db->Count("users","WHERE `sid` = '".$site->id."' AND `id` = '".$id."'") == 0){
		// Отдаем картинку системную
		$path = ROOT.("/media/images/no_avatar.png");
		$line = @file_get_contents($path);
		$core->setHeaderFile("png",$path);
		echo $line;
		die();
	}
	$ank = $user->getID($id);
	if (($ank->avatar != "png" && $ank->avatar != "jpg" && $ank->avatar != "gif") || !file_exists($core->rootPath("/avatar/".$id.".".$ank->avatar))){
		$sp = (ROOT.("/sites/".$core->getSiteURL()."/media/images/no_avatar.png"));
		$path = (is_file($sp)?$sp:ROOT.("/media/images/no_avatar.png"));
		$pf = pathinfo($path);
		$core->setHeaderFile($pf['extension'],$path);
		die();
	}
	$core->setHeaderFile("png",$core->rootPath("/avatar/".$id.".".$ank->avatar));
	
	die();
} elseif (!$user->auth()){
	include_once 'core/head.php';
	echo '<div class="warning">Необходимо войти в аккаунт, чтобы редактировать аккаунт</div>';
	echo linkGen("/login.lm?back=/avatar.lm","Войти в аккаунт",["data-id"=>"link-login"]);
	echo linkGen("/","На главную",["data-id"=>"link-home"]);
	include_once 'core/foot.php';
	die();
} elseif ($user->getData()->avatar == -1 && $act == "change"){
	if (isset($_POST["submit"])){
		if(!isset($_FILES['avatar']) || !@file_exists($_FILES['avatar']['tmp_name'])) {
			$core->regError("Файл аватара не выбран","Файл аватара не выбран",1,"avatar.lm");
		} elseif (!$site->changePhoto){
			$core->regError("","Администратор запретил смену аватарки.",1,"avatar.lm");
		} elseif (!$Quota->isWrite()){
			$core->regError("Quota: закончилось дисковое пространство","На данном сайте закончилось свободное дисковое пространство.<br>Сообщите о данной проблеме администратору.",2,"avatar.lm");
		} elseif (!$Quota->isLoad($site->changePhotoSize)){
			$core->regError("Quota: закончилось дисковое пространство","На данном сайте закончилось свободное дисковое пространство.<br>Сообщите о данной проблеме администратору.",3,"avatar.lm");
		} elseif ($site->changePhotoSize < $_FILES['avatar']["size"] || $_FILES['avatar']["size"] <= 0){
			$core->regError("Ошибка размера файла","Файл имеет недопустимый размер.<br>Текущий размер файла: ".$core->RealFileSize($_FILES['avatar']["size"])."<br>Максимальный допустимый размер файла: ".$core->RealFileSize($site->changePhotoSize),2,"avatar.lm");
		} else {
			$filetype = array ( 'png','jpg' ); 
			$upfiletype = substr($_FILES['avatar']['name'],  strrpos( $_FILES['avatar']['name'], ".")+1); 
	  
			if(!in_array($upfiletype,$filetype)) {
				$core->regError("Недопустимый формат файла","Данный файл не является доступимым. Только JPG/PNG!",1,"avatar.lm");
			} else {
				if (!is_dir($core->rootPath("/avatar/".$files))){
					@mkdir($core->rootPath("/avatar/"));
				}
				$files = $user->uid.'.'.$upfiletype; 
				move_uploaded_file($_FILES['avatar']['tmp_name'],$core->rootPath("/avatar/".$files));
				$db->Query("UPDATE `users` SET `avatar`='".$upfiletype."' WHERE `id` = '".$user->uid."' AND `sid` = '".$site->id."'");
				$core->GoToPage("/avatar.lm");
			}
		}
	}
	$t = "Установка аватара";
	include_once 'core/head.php';
	if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}
	}
	echo '<div class="title">Установка нового аватара</div>';
	echo '<form method="POST" class="avatar_form" enctype="multipart/form-data">
	Выберите файл:<br /><input type="file" accept="image/jpeg,image/png" name="avatar"> <br />
	<input type="submit" name="submit" value="Загрузить">
	</form>';
	echo linkGen("/avatar.lm","Вернуться назад",["data-id"=>"link-back"]);
	echo linkGen("/","На главную",["data-id"=>"link-home"]);
	include_once 'core/foot.php';
	die();
} elseif ($user->getData()->avatar != -1 && $act == "delete"){
	if (isset($_POST["submit"])){
		@unlink($core->rootPath("/avatar/".$user->uid.".".$user->getData()->avatar));
		$db->Query("UPDATE `users` SET `avatar`='-1' WHERE `id` = '".$user->uid."' AND `sid` = '".$site->id."'");
		$core->GoToPage("/avatar.lm");
	}
	$t = "Удаление аватара";
	include_once 'core/head.php';
	if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}
	}
	echo '<div class="title">Удаление аватара</div>';
	echo '<form method="POST" class="avatar_form">Вы действительно хотите удалить аватар?
	<input type="submit" name="submit" value="Да, удалить">
	</form>';
	echo linkGen("/avatar.lm","Вернуться назад",["data-id"=>"link-back"]);
	echo linkGen("/","На главную",["data-id"=>"link-home"]);
	include_once 'core/foot.php';
	die();
}
include_once 'core/head.php';
echo '<div class="title">Аватар</div>';
echo '<div class="text avatar"><img class="img_avatar" src="/avatar.lm?id='.($user->getData()->avatar == -1?-1:$user->uid).'"></div>';
echo ($user->getData()->avatar == -1?linkGen("/avatar.lm?act=change","Установить аватар",["data-id"=>"link-ava-add"]):linkGen("/avatar.lm?act=delete","Удалить аватар",["data-id"=>"link-ava-del"]));

echo linkGen("/lk.lm","Вернуться в личный кабинет",["data-id"=>"link-lk"]);
echo linkGen("/","На главную",["data-id"=>"link-home"]);
include_once 'core/foot.php';
?>
